__gnu_parallel::_Job< _DifferenceTp > Struct Template Reference

`#include <workstealing.h>`

## Public Types

typedef _DifferenceTp | _DifferenceType

## Public Attributes

volatile _DifferenceType | _M_first
volatile _DifferenceType | _M_last
volatile _DifferenceType | _M_load

## Detailed Description

template<typename _DifferenceTp>
struct __gnu_parallel::_Job< _DifferenceTp >

One __job for a certain thread.

Definition at line 54 of file workstealing.h.

## Member Typedef Documentation

## _DifferenceType

template<typename _DifferenceTp >

typedef _DifferenceTp __gnu_parallel::_Job< _DifferenceTp >::_DifferenceType

Definition at line 56 of file workstealing.h.

## Member Data Documentation

## _M_first

template<typename _DifferenceTp >

volatile _DifferenceType __gnu_parallel::_Job< _DifferenceTp >::_M_first

First element.

Changed by owning and stealing thread. By stealing thread, always incremented.

Definition at line 62 of file workstealing.h.

Referenced by __gnu_parallel::__for_each_template_random_access_workstealing().

## _M_last

template<typename _DifferenceTp >

volatile _DifferenceType __gnu_parallel::_Job< _DifferenceTp >::_M_last

Last element.

Changed by owning thread only.

Definition at line 67 of file workstealing.h.

Referenced by __gnu_parallel::__for_each_template_random_access_workstealing().

## _M_load

template<typename _DifferenceTp >

volatile _DifferenceType __gnu_parallel::_Job< _DifferenceTp >::_M_load

Number of elements, i.e. `_M_last-_M_first+1`.

Changed by owning thread only.

Definition at line 72 of file workstealing.h.

Referenced by __gnu_parallel::__for_each_template_random_access_workstealing().

The documentation for this struct was generated from the following file:

- workstealing.h